katana_theme_builder 2.3.4 copy "katana_theme_builder: ^2.3.4" to clipboard
katana_theme_builder: ^2.3.4 copied to clipboard

Building system for katana theme packages. Create a list of image assets from the Asset folder.

2.3.4 #

  • Update a dependency to the latest release.

2.3.3 #

  • Update a dependency to the latest release.

2.3.2 #

  • Update a dependency to the latest release.

2.3.1 #

  • Update a dependency to the latest release.

2.3.0 #

2.2.3 #

  • Update a dependency to the latest release.

2.2.2 #

  • Update a dependency to the latest release.

2.2.1 #

  • Update a dependency to the latest release.

2.2.0 #

  • FEAT: Addition of katana_test and katana_builder. (4ac65b26)

2.1.18 #

  • Update a dependency to the latest release.

2.1.17 #

2.1.16 #

  • Update a dependency to the latest release.

2.1.15 #

  • Update a dependency to the latest release.

2.1.14 #

  • Update a dependency to the latest release.

2.1.13 #

  • Update a dependency to the latest release.

2.1.12 #

  • Update a dependency to the latest release.

2.1.11 #

  • Update a dependency to the latest release.

2.1.10 #

  • Update a dependency to the latest release.

2.1.9 #

  • Update a dependency to the latest release.

2.1.8 #

  • Update a dependency to the latest release.

2.1.7 #

  • Update a dependency to the latest release.

2.1.6 #

  • Update a dependency to the latest release.

2.1.5 #

  • Update a dependency to the latest release.

2.1.4 #

  • FIX: Version error correction. (3e7b0288)

2.1.3 #

  • Update a dependency to the latest release.

2.1.2 #

  • FIX: Match the notation of "part of" to Linter. (cca8c742)

2.1.1 #

  • Update a dependency to the latest release.

2.1.0 #

  • FEAT: NetworkImage can be cached locally. (fc00f2f6)

2.0.24 #

  • FIX: Fixed image cache was not working properly. (ad1b9874)

2.0.23 #

  • Update a dependency to the latest release.

2.0.22 #

  • FIX: Added the ability to explicitly change the color of the status bar. (2ccaeffa)

2.0.21 #

  • Update a dependency to the latest release.

2.0.20 #

  • FIX: Downgrade of Analyize plugin. (d3717652)

2.0.19 #

  • Update a dependency to the latest release.

2.0.18 #

  • Update a dependency to the latest release.

2.0.17 #

  • Update a dependency to the latest release.

2.0.16 #

2.0.15 #

  • FIX: Add exclude in build.yaml. (5e8b5467)

2.0.14 #

  • FIX: Added the ability to get the Brightness of the system in theme.brightness. (9b64cb3f)

2.0.13 #

  • DOCS: Added GithubSponsors to ReadMe. (4492e87e)

2.0.12 #

2.0.11 #

  • Update a dependency to the latest release.

2.0.10 #

  • Update a dependency to the latest release.

2.0.9 #

  • DOCS: Changed ReadMe header. (4bc527cb)

2.0.8 #

2.0.7 #

  • FIX: Raised the Dart version of Example. (55d99042)

2.0.6 #

  • Update a dependency to the latest release.

2.0.5 #

  • Update a dependency to the latest release.

2.0.4 #

  • Update a dependency to the latest release.

2.0.3 #

  • FIX: Maintenance of TextProvider and changes to Asset.text. (74f20219)

2.0.2 #

  • FIX: Added generateRandomMaterialColor. (03d30c72)

2.0.1 #

  • Update a dependency to the latest release.

2.0.0 #

Note: This release has breaking changes.

  • FEAT: Dart 3.0.0 compatible. (cc981bbc)
  • BREAKING FEAT: Dart 3.0.0 compatible. (bf192403)

1.4.12 #

  • Update a dependency to the latest release.

1.4.11 #

  • Update a dependency to the latest release.

1.4.10 #

  • Update a dependency to the latest release.

1.4.9 #

  • FIX: Fixed a bug that build.yaml is no longer included. (be918cab)

1.4.8 #

1.4.7 #

  • Update a dependency to the latest release.

1.4.6 #

  • Update a dependency to the latest release.

1.4.5 #

  • Update a dependency to the latest release.

1.4.4 #

  • Update a dependency to the latest release.

1.4.3 #

  • Update a dependency to the latest release.

1.4.2 #

  • FIX: Changed to apply to ChipTheme as well. (42ac2ca1)

1.4.1 #

  • FIX: Added flag to fix theme. (3e31542f)

1.4.0 #

  • FEAT: The color of Theme is now explicitly divided between light mode and dark mode. (8d87118b)

1.3.1 #

  • FIX: Add centerTitleOnAppBar. (938d2bcb)

1.3.0 #

1.2.15 #

  • Update a dependency to the latest release.

1.2.14 #

1.2.13 #

  • FIX: Fixed an outdated version of Katana. (47ff3566)
  • DOCS: Fix ReadMe. (97288683)

1.2.12 #

1.2.11 #

  • Update a dependency to the latest release.

1.2.10 #

  • FIX: Fixed text color in DarkTheme. (79272447)

1.2.9 #

1.2.8 #

  • Update a dependency to the latest release.

1.2.7 #

  • FIX: Added a method to invert Brightness. (a4538c6e)

1.2.6 #

  • FIX: Fixed a bug with MaterialDesign3 support. (0390bcdb)

1.2.5 #

  • Update a dependency to the latest release.

1.2.4 #

  • FIX: Fixed a bug that files were not generated when information was empty. (356600f7)

1.2.3 #

  • FIX: Added scaffoldBackgroundColor, etc. since they could not be taken from Theme. (1525026c)

1.2.2 #

  • FIX: Added a new font type to the supported fonts. (ca24c445)

1.2.1 #

1.2.0 #

1.1.5 #

  • Update a dependency to the latest release.

1.1.4 #

  • Update a dependency to the latest release.

1.1.3 #

  • Update a dependency to the latest release.

1.1.2 #

  • Update a dependency to the latest release.

1.1.1 #

  • Update a dependency to the latest release.

1.1.0 #

0
likes
120
pub points
18%
popularity

Publisher

verified publishermathru.net

Building system for katana theme packages. Create a list of image assets from the Asset folder.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

analyzer, build, code_builder, dart_style, glob, katana, katana_builder, katana_theme_annotation, source_gen, yaml

More

Packages that depend on katana_theme_builder